#
# spec file for package flowblade
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define prjname Flowblade
Name:           flowblade
Version:        1.10
Release:        1.3
Summary:        Multitrack non-linear video editor
License:        GPL-3.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            https://code.google.com/p/flowblade/
Source:         https://github.com/jliljebl/flowblade/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  python-devel >= 2.7.0
BuildRequires:  update-desktop-files
BuildRequires:  shared-mime-info
BuildRequires:  fdupes
BuildRequires:  frei0r-plugins >= 1.4
# Check list of dependencies:
BuildRequires:  pkgconfig(cairomm-1.0)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  libmlt6-modules
BuildRequires:  dbus-1-python
BuildRequires:  python-cairo
BuildRequires:  python-gnomevfs
BuildRequires:  python-gobject
BuildRequires:  python-imaging
BuildRequires:  python-mlt
BuildRequires:  python-numpy
Requires:       dbus-1-python
Requires:       ffmpeg
Requires:       frei0r-plugins >= 1.4
Requires:       ladspa
Requires:       ladspa-swh-plugins
Requires:       libmlt6-modules
Requires:       python-cairo
Requires:       python-gnomevfs
Requires:       python-gobject
Requires:       python-imaging
Requires:       python-mlt
Requires:       python-numpy
Requires:       sox
Requires:       %(rpm -qf $(readlink -qne %{_libdir}/libcairomm-1.0.so) --qf '%{NAME} >= %{VERSION}')
Requires:       %(rpm -qf $(readlink -qne %{_libdir}/librsvg-2.so) --qf '%{NAME} >= %{VERSION}')
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Flowblade is designed to provide a fast, precise and robust editing experience.

In Flowblade clips are usually automatically placed tightly after or between
clips when they are inserted on the timeline. Edits are fine tuned by trimming
in and out points of clips, or by cutting and deleting parts of clips.

Flowblade provides powerful tools to mix and filter video and audio.

%lang_package

%prep
%setup -q -n %{name}-%{version}/%{name}-trunk

sed -i 's|%{_datadir}/pyshared|%{python_sitelib}|' %{name}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/locale
mv %{buildroot}{%{python_sitelib}/%{prjname}/locale/*,%{_datadir}/locale/}
find %{buildroot} -type f -name "*.po*" -delete -print

rm -rf %{buildroot}%{_libexecdir}/mime/packages/%{name}

%fdupes -s %{buildroot}%{python_sitelib}
%find_lang %{name} %{name}.lang

%post
%mime_database_post
%desktop_database_post

%postun
%mime_database_postun
%desktop_database_postun

%files
%defattr(0644,root,root)
%doc AUTHORS COPYING README docs/RELEASE_NOTES*
%attr(0755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man?/%{name}.?%{ext_info}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/mime/packages/%{name}.xml
%{python_sitelib}/%{prjname}
%attr(0755,root,root) %{python_sitelib}/%{prjname}/launch/%{name}*
%{python_sitelib}/%{name}-*.egg-info

%files lang -f %{name}.lang
%defattr(0644,root,root)

%changelog
* Thu Jan 12 2017 avvissu@yandex.by
- Update to 1.10:
  * see /usr/share/docpackages/flowblade/RELEASE_NOTES
- Check list of dependencies
* Sat Oct 22 2016 avvissu@yandex.by
- Update to 1.8:
  * see /usr/share/docpackages/flowblade/RELEASE_NOTES
* Tue Jan 26 2016 avvissu@yandex.ru
- Update to 1.4:
  * see /usr/share/docpackages/flowblade/RELEASE_NOTES
- Dropped dependencies: python-gnome python-gtk
- Add dependencies: python-gobject
- Remove MIME-type from /usr/lib/mime/packages/
* Wed Mar  4 2015 avvissu@yandex.ru
- Initial release
